## libgit2 0.24.1

=== CMakeLists.txt ===
# CMake build script for the libgit2 project
#
# Building (out of source build):
# > mkdir build && cd build
# > cmake .. [-DSETTINGS=VALUE]
# > cmake --build .
#
# Testing:
# > ctest -V
#
# Install:
# > cmake --build . --target install

PROJECT(libgit2 C)
CMAKE_MINIMUM_REQUIRED(VERSION 2.8)
CMAKE_POLICY(SET CMP0015 NEW)

# Add find modules to the path
SET(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake/Modules/")

INCLUDE(CheckLibraryExists)
INCLUDE(CheckFunctionExists)
INCLUDE(CheckStructHasMember)
INCLUDE(AddCFlagIfSupported)
INCLUDE(FindPkgConfig)

# Build options
#
OPTION( SONAME				"Set the (SO)VERSION of the target"		ON  )
OPTION( BUILD_SHARED_LIBS	"Build Shared Library (OFF for Static)"	ON  )
OPTION( THREADSAFE			"Build libgit2 as threadsafe"			ON )
OPTION( BUILD_CLAR			"Build Tests using the Clar suite"		ON  )
OPTION( BUILD_EXAMPLES		"Build library usage example apps"		OFF )
OPTION( TAGS				"Generate tags"							OFF )
OPTION( PROFILE				"Generate profiling information"		OFF )
OPTION( ENABLE_TRACE		"Enables tracing support"				OFF )
OPTION( LIBGIT2_FILENAME	"Name of the produced binary"			OFF )

OPTION( USE_ICONV			"Link with and use iconv library" 		OFF )
OPTION( USE_SSH				"Link with libssh to enable SSH support" ON )
OPTION( USE_GSSAPI			"Link with libgssapi for SPNEGO auth"   OFF )
OPTION( VALGRIND			"Configure build for valgrind"			OFF )
OPTION( CURL			"User curl for HTTP if available" ON)
OPTION( DEBUG_POOL			"Enable debug pool allocator"			OFF )

IF(DEBUG_POOL)
	ADD_DEFINITIONS(-DGIT_DEBUG_POOL)
ENDIF()

IF(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
	SET( USE_ICONV ON )
	FIND_PACKAGE(Security)
	FIND_PACKAGE(CoreFoundation REQUIRED)
ENDIF()

IF(MSVC)
	# This option is only available when building with MSVC. By default, libgit2
	# is build using the cdecl calling convention, which is useful if you're
	# writing C. However, the CLR and Win32 API both expect stdcall.
	#
	# If you are writing a CLR program and want to link to libgit2, you'll want
	# to turn this on by invoking CMake with the "-DSTDCALL=ON" argument.
	OPTION( STDCALL			"Build libgit2 with the __stdcall convention"	OFF  )

	# This option must match the settings used in your program, in particular if you
	# are linking statically
	OPTION( STATIC_CRT		"Link the static CRT libraries"	ON  )

	# If you want to embed a copy of libssh2 into libgit2, pass a
	# path to libssh2
	OPTION( EMBED_SSH_PATH		"Path to libssh2 to embed (Windows)" OFF )

	ADD_DEFINITIONS(-D_SCL_SECURE_NO_WARNINGS)
	ADD_DEFINITIONS(-D_CRT_SECURE_NO_DEPRECATE)
	ADD_DEFINITIONS(-D_CRT_NONSTDC_NO_DEPRECATE)
ENDIF()


IF(WIN32)
	# By default, libgit2 is built with WinHTTP.  To use the built-in
	# HTTP transport, invoke CMake with the "-DWINHTTP=OFF" argument.
	OPTION(	WINHTTP			"Use Win32 WinHTTP routines"	ON	)
ENDIF()

IF(MSVC)
	# Enable MSVC CRTDBG memory leak reporting when in debug mode.
	OPTION(MSVC_CRTDBG "Enable CRTDBG memory leak reporting" OFF)
ENDIF()

IF (NOT ${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
	OPTION( USE_OPENSSL                     "Link with and use openssl library"             ON )
ENDIF()

CHECK_STRUCT_HAS_MEMBER ("struct stat" st_mtim "sys/types.h;sys/stat.h"
	HAVE_STRUCT_STAT_ST_MTIM LANGUAGE C)
CHECK_STRUCT_HAS_MEMBER ("struct stat" st_mtimespec "sys/types.h;sys/stat.h"
	HAVE_STRUCT_STAT_ST_MTIMESPEC LANGUAGE C)
CHECK_STRUCT_HAS_MEMBER("struct stat" st_mtime_nsec sys/stat.h
	HAVE_STRUCT_STAT_MTIME_NSEC LANGUAGE C)

IF (HAVE_STRUCT_STAT_ST_MTIM)
	CHECK_STRUCT_HAS_MEMBER("struct stat" st_mtim.tv_nsec sys/stat.h
		HAVE_STRUCT_STAT_NSEC LANGUAGE C)
ELSEIF (HAVE_STRUCT_STAT_ST_MTIMESPEC)
	CHECK_STRUCT_HAS_MEMBER("struct stat" st_mtimespec.tv_nsec sys/stat.h
		HAVE_STRUCT_STAT_NSEC LANGUAGE C)
ELSE ()
	SET( HAVE_STRUCT_STAT_NSEC ON )
ENDIF()

IF (HAVE_STRUCT_STAT_NSEC OR WIN32)
	OPTION( USE_NSEC		"Care about sub-second file mtimes and ctimes"	OFF )
ENDIF()

# This variable will contain the libraries we need to put into
# libgit2.pc's Requires.private. That is, what we're linking to or
# what someone who's statically linking us needs to link to.
SET(LIBGIT2_PC_REQUIRES "")
# This will be set later if we use the system's http-parser library or
# use iconv (OSX) and will be written to the Libs.private field in the
# pc file.
SET(LIBGIT2_PC_LIBS "")

# Installation paths
#
SET(BIN_INSTALL_DIR bin CACHE PATH "Where to install binaries to.")
SET(LIB_INSTALL_DIR lib CACHE PATH "Where to install libraries to.")
SET(INCLUDE_INSTALL_DIR include CACHE PATH "Where to install headers to.")

# Set a couple variables to be substituted inside the .pc file.
# We can't just use LIB_INSTALL_DIR in the .pc file, as passing them as absolue
# or relative paths is both valid and supported by cmake.
SET (PKGCONFIG_PREFIX ${CMAKE_INSTALL_PREFIX})

IF(IS_ABSOLUTE ${LIB_INSTALL_DIR})
  SET (PKGCONFIG_LIBDIR ${LIB_INSTALL_DIR})
ELSE(IS_ABSOLUTE ${LIB_INSTALL_DIR})
  SET (PKGCONFIG_LIBDIR "\${prefix}/${LIB_INSTALL_DIR}")
ENDIF (IS_ABSOLUTE ${LIB_INSTALL_DIR})

IF(IS_ABSOLUTE ${INCLUDE_INSTALL_DIR})
  SET (PKGCONFIG_INCLUDEDIR ${INCLUDE_INSTALL_DIR})
ELSE(IS_ABSOLUTE ${INCLUDE_INSTALL_DIR})
  SET (PKGCONFIG_INCLUDEDIR "\${prefix}/${INCLUDE_INSTALL_DIR}")
ENDIF(IS_ABSOLUTE ${INCLUDE_INSTALL_DIR})

FUNCTION(TARGET_OS_LIBRARIES target)
	IF(WIN32)
		TARGET_LINK_LIBRARIES(${target} ws2_32)
	ELSEIF(CMAKE_SYSTEM_NAME MATCHES "(Solaris|SunOS)")
		TARGET_LINK_LIBRARIES(${target} socket nsl)
		LIST(APPEND LIBGIT2_PC_LIBS "-lsocket" "-lnsl")
		SET(LIBGIT2_PC_LIBS ${LIBGIT2_PC_LIBS} PARENT_SCOPE)
	ENDIF()
	CHECK_LIBRARY_EXISTS(rt clock_gettime "time.h" NEED_LIBRT)
	IF(NEED_LIBRT)
		TARGET_LINK_LIBRARIES(${target} rt)
		LIST(APPEND LIBGIT2_PC_LIBS "-lrt")
		SET(LIBGIT2_PC_LIBS ${LIBGIT2_PC_LIBS} PARENT_SCOPE)
	ENDIF()

	IF(THREADSAFE)
		TARGET_LINK_LIBRARIES(${target} ${CMAKE_THREAD_LIBS_INIT})
	ENDIF()
ENDFUNCTION()

# This function splits the sources files up into their appropriate
# subdirectories.  This is especially useful for IDEs like Xcode and
# Visual Studio, so that you can navigate into the libgit2_clar project,
# and see the folders within the tests folder (instead of just seeing all
# source and tests in a single folder.)
FUNCTION(IDE_SPLIT_SOURCES target)
	IF(MSVC_IDE OR CMAKE_GENERATOR STREQUAL Xcode)
		GET_TARGET_PROPERTY(sources ${target} SOURCES)
		FOREACH(source ${sources})
			IF(source MATCHES ".*/")
				STRING(REPLACE ${CMAKE_CURRENT_SOURCE_DIR}/ "" rel ${source})
				IF(rel)
					STRING(REGEX REPLACE "/([^/]*)$" "" rel ${rel})
					IF(rel)
						STRING(REPLACE "/" "\\\\" rel ${rel})
						SOURCE_GROUP(${rel} FILES ${source})
					ENDIF()
				ENDIF()
			ENDIF()
		ENDFOREACH()
	ENDIF()
ENDFUNCTION()

FILE(STRINGS "include/git2/version.h" GIT2_HEADER REGEX "^#define LIBGIT2_VERSION \"[^\"]*\"$")

STRING(REGEX REPLACE "^.*LIBGIT2_VERSION \"([0-9]+).*$" "\\1" LIBGIT2_VERSION_MAJOR "${GIT2_HEADER}")
STRING(REGEX REPLACE "^.*LIBGIT2_VERSION \"[0-9]+\\.([0-9]+).*$" "\\1" LIBGIT2_VERSION_MINOR  "${GIT2_HEADER}")
STRING(REGEX REPLACE "^.*LIBGIT2_VERSION \"[0-9]+\\.[0-9]+\\.([0-9]+).*$" "\\1" LIBGIT2_VERSION_REV "${GIT2_HEADER}")
SET(LIBGIT2_VERSION_STRING "${LIBGIT2_VERSION_MAJOR}.${LIBGIT2_VERSION_MINOR}.${LIBGIT2_VERSION_REV}")

FILE(STRINGS "include/git2/version.h" GIT2_HEADER_SOVERSION REGEX "^#define LIBGIT2_SOVERSION [0-9]+$")
STRING(REGEX REPLACE "^.*LIBGIT2_SOVERSION ([0-9]+)$" "\\1" LIBGIT2_SOVERSION "${GIT2_HEADER_SOVERSION}")

# Find required dependencies
INCLUDE_DIRECTORIES(src include)

IF (SECURITY_FOUND)
  # OS X 10.7 and older do not have some functions we use, fall back to OpenSSL there
  CHECK_LIBRARY_EXISTS("${SECURITY_DIRS}" SSLCreateContext "Security/SecureTransport.h" HAVE_NEWER_SECURITY)
  IF (HAVE_NEWER_SECURITY)
    MESSAGE("-- Found Security ${SECURITY_DIRS}")
    LIST(APPEND LIBGIT2_PC_LIBS "-framework Security")
  ELSE()
    MESSAGE("-- Security framework is too old, falling back to OpenSSL")
    SET(SECURITY_FOUND "NO")
    SET(SECURITY_DIRS "")
    SET(SECURITY_DIR "")
    SET(USE_OPENSSL "ON")
  ENDIF()
ENDIF()

IF (COREFOUNDATION_FOUND)
  MESSAGE("-- Found CoreFoundation ${COREFOUNDATION_DIRS}")
  LIST(APPEND LIBGIT2_PC_LIBS "-framework CoreFoundation")
ENDIF()


IF (WIN32 AND EMBED_SSH_PATH)
	FILE(GLOB SRC_SSH "${EMBED_SSH_PATH}/src/*.c")
	INCLUDE_DIRECTORIES("${EMBED_SSH_PATH}/include")
	FILE(WRITE "${EMBED_SSH_PATH}/src/libssh2_config.h" "#define HAVE_WINCNG\n#define LIBSSH2_WINCNG\n#include \"../win32/libssh2_config.h\"")
	ADD_DEFINITIONS(-DGIT_SSH)
ENDIF()

IF (WIN32 AND WINHTTP)
	ADD_DEFINITIONS(-DGIT_WINHTTP)
	INCLUDE_DIRECTORIES(deps/http-parser)
	FILE(GLOB SRC_HTTP deps/http-parser/*.c deps/http-parser/*.h)

	# Since MinGW does not come with headers or an import library for winhttp,
	# we have to include a private header and generate our own import library
	IF (MINGW)
		FIND_PROGRAM(DLLTOOL dlltool CMAKE_FIND_ROOT_PATH_BOTH)
		IF (NOT DLLTOOL)
			MESSAGE(FATAL_ERROR "Could not find dlltool command")
		ENDIF ()

		SET(LIBWINHTTP_PATH "${CMAKE_CURRENT_BINARY_DIR}/deps/winhttp")
		FILE(MAKE_DIRECTORY ${LIBWINHTTP_PATH})

		IF (CMAKE_SIZEOF_VOID_P EQUAL 8)
			set(WINHTTP_DEF "${CMAKE_CURRENT_SOURCE_DIR}/deps/winhttp/winhttp64.def")
		ELSE()
			set(WINHTTP_DEF "${CMAKE_CURRENT_SOURCE_DIR}/deps/winhttp/winhttp.def")
		ENDIF()

		ADD_CUSTOM_COMMAND(
			OUTPUT ${LIBWINHTTP_PATH}/libwinhttp.a
			COMMAND ${DLLTOOL} -d ${WINHTTP_DEF} -k -D winhttp.dll -l libwinhttp.a
			DEPENDS ${WINHTTP_DEF}
			WORKING_DIRECTORY ${LIBWINHTTP_PATH}
		)

		SET_SOURCE_FILES_PROPERTIES(
			${CMAKE_CURRENT_SOURCE_DIR}/src/transports/winhttp.c
			PROPERTIES OBJECT_DEPENDS ${LIBWINHTTP_PATH}/libwinhttp.a
		)

		INCLUDE_DIRECTORIES(deps/winhttp)
		LINK_DIRECTORIES(${LIBWINHTTP_PATH})
	ENDIF ()

	LINK_LIBRARIES(winhttp rpcrt4 crypt32 ole32)
	LIST(APPEND LIBGIT2_PC_LIBS "-lwinhttp" "-lrpcrt4" "-lcrypt32" "-lole32")
ELSE ()
	IF (CURL)
		PKG_CHECK_MODULES(CURL libcurl)
	ENDIF ()

	IF (NOT AMIGA AND USE_OPENSSL)
		FIND_PACKAGE(OpenSSL)
	ENDIF ()

	IF (CURL_FOUND)
		ADD_DEFINITIONS(-DGIT_CURL)
		INCLUDE_DIRECTORIES(${CURL_INCLUDE_DIRS})
		LINK_LIBRARIES(${CURL_LIBRARIES})
		LIST(APPEND LIBGIT2_PC_LIBS ${CURL_LDFLAGS})
	ENDIF()

	FIND_PACKAGE(HTTP_Parser)
	IF (HTTP_PARSER_FOUND AND HTTP_PARSER_VERSION_MAJOR EQUAL 2)
		INCLUDE_DIRECTORIES(${HTTP_PARSER_INCLUDE_DIRS})
		LINK_LIBRARIES(${HTTP_PARSER_LIBRARIES})
		LIST(APPEND LIBGIT2_PC_LIBS "-lhttp_parser")
	ELSE()
		MESSAGE(STATUS "http-parser was not found or is too old; using bundled 3rd-party sources.")
		INCLUDE_DIRECTORIES(deps/http-parser)
		FILE(GLOB SRC_HTTP deps/http-parser/*.c deps/http-parser/*.h)
	ENDIF()
ENDIF()

# Specify sha1 implementation
IF (WIN32 AND NOT MINGW AND NOT SHA1_TYPE STREQUAL "builtin")
	ADD_DEFINITIONS(-DWIN32_SHA1)
	FILE(GLOB SRC_SHA1 src/hash/hash_win32.c)
ELSEIF (${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
	ADD_DEFINITIONS(-DGIT_COMMON_CRYPTO)
ELSEIF (OPENSSL_FOUND AND NOT SHA1_TYPE STREQUAL "builtin")
	ADD_DEFINITIONS(-DOPENSSL_SHA1)
	IF (CMAKE_SYSTEM_NAME MATCHES "FreeBSD")
		LIST(APPEND LIBGIT2_PC_LIBS "-lssl")
	ELSE()
		SET(LIBGIT2_PC_REQUIRES "${LIBGIT2_PC_REQUIRES} openssl")
	ENDIF ()
ELSE()
	FILE(GLOB SRC_SHA1 src/hash/hash_generic.c)
ENDIF()

# Enable tracing
IF (ENABLE_TRACE STREQUAL "ON")
	ADD_DEFINITIONS(-DGIT_TRACE)
ENDIF()

# Include POSIX regex when it is required
IF(WIN32 OR AMIGA OR CMAKE_SYSTEM_NAME MATCHES "(Solaris|SunOS)")
	INCLUDE_DIRECTORIES(deps/regex)
	SET(SRC_REGEX deps/regex/regex.c)
ENDIF()

# Optional external dependency: zlib
FIND_PACKAGE(ZLIB)
IF (ZLIB_FOUND)
	INCLUDE_DIRECTORIES(${ZLIB_INCLUDE_DIRS})
	LINK_LIBRARIES(${ZLIB_LIBRARIES})
	IF(APPLE OR CMAKE_SYSTEM_NAME MATCHES "FreeBSD")
		LIST(APPEND LIBGIT2_PC_LIBS "-lz")
	ELSE()
		SET(LIBGIT2_PC_REQUIRES "${LIBGIT2_PC_REQUIRES} zlib")
	ENDIF()
ELSE()
	MESSAGE(STATUS "zlib was not found; using bundled 3rd-party sources." )
	INCLUDE_DIRECTORIES(deps/zlib)
	ADD_DEFINITIONS(-DNO_VIZ -DSTDC -DNO_GZIP)
	FILE(GLOB SRC_ZLIB deps/zlib/*.c deps/zlib/*.h)
ENDIF()

=== debian/changelog ===
libgit2 (0.24.1-2ubuntu0.2) xenial-security; urgency=medium

  * SECURITY UPDATE: Out of bounds read
    - debian/patches/CVE-2018-10887-1.patch: delta: Fix sign-extension of big
      left-shift
    - debian/patches/CVE-2018-10887-2.patch: delta: fix overflow when
      computing limit
    - CVE-2018-10887, CVE-2018-10888

 -- Mike Salvatore <mike.salvatore@canonical.com>  Wed, 05 Sep 2018 12:15:48 -0400

libgit2 (0.24.1-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 13 Apr 2016 11:31:25 +0200

libgit2 (0.24.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop git_tests-fix-core-stream-test-when-built-with-openssl-o.patch
    - merged upstream.
  * Revert "Disable fakeroot emulation when running tests"
    - no longer needed thanks to upstream fix.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 12 Apr 2016 16:34:48 +0200

libgit2 (0.24.0-2) experimental; urgency=medium

  * Team upload.
  * Incorporate 0.23.1-1.1 NMU diff
  * Drop libgit2-dbg and migrate to dbgsym
  * Add git_tests-fix-core-stream-test-when-built-with-openssl-o.patch
    - cherry-picked from upstream git master.
  * Disable fakeroot emulation when running tests
    - tests only works under regular user or real root.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 11 Apr 2016 17:03:05 +0200

libgit2 (0.24.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release. (Closes: #798338)
  * Rename packages for new upstream so version -24
  * Update debian/libgit2-24.symbols
  * Bump Standards-Version to 3.9.7
  * Update Vcs-* for new collab-maint repo

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 04 Apr 2016 15:30:44 +0200

libgit2 (0.23.1-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Don't depend on OpenSSL, either directly or indirectly. Build with and
    depend on libcurl4-gnutls-dev instead. (Closes: #798421)
  * Drop associated Build-Depends on ca-certificates.

 -- Josh Triplett <josh@joshtriplett.org>  Fri, 18 Mar 2016 17:08:00 -0700

libgit2 (0.23.1-1) unstable; urgency=medium

  * New upstream release 0.23.1.
  * debian/control: Added build dependency on libcurl4-openssl-dev.
  * debian/control: Updated VCS URL.
  * debian/copyright: Added winhttp copyright.
  * debian/docs: Added missing development documentation.
  * debian/libgit2-23.symbols: Updated with latest symbols.
  * debian/libgit2-dev.lintian-overrides: Override comment
    stripping, should work once it's supported by dh_strip.
  * debian/patches/disable_tests.patch: Updated for 0.23.0.

 -- Russell Sim <russell.sim@gmail.com>  Tue, 11 Aug 2015 08:51:39 +1000

=== debian/control ===
Source: libgit2
Section: libs
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Russell Sim <russell.sim@gmail.com>
Build-Depends: debhelper (>= 9.20160114),
               python-minimal (>= 2.4.0), pkg-config,
               cmake, libz-dev, libcurl4-gnutls-dev,
               libssh2-1-dev, libhttp-parser-dev
Standards-Version: 3.9.7
Homepage: http://libgit2.github.com/
Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/libgit2.git/
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libgit2.git/


Package: libgit2-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libgit2-24 (= ${binary:Version}), libz-dev,
         libcurl4-gnutls-dev, libssh2-1-dev,
         libhttp-parser-dev, ${shlibs:Depends}, ${misc:Depends}
Description: low-level Git library (development files)
 libgit2 is a portable, pure C implementation of the Git
 distributed version control system core methods provided as a
 re-entrant link-able library with a solid API.
 .
 This package contains the development files for libgit2.

Package: libgit2-24
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: low-level Git library
 libgit2 is a portable, pure C implementation of the Git
 distributed version control system core methods provided as a
 re-entrant link-able library with a solid API.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# This rules file has 2 streams, the build-debian-devel stream builds
# the static library and the bulid-debian-release builds the dynamic
# library.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
TEST_TMPDIR := $(CURDIR)/tmp-test

override_dh_auto_configure:
	dh_auto_configure --builddirectory=build-debian-release -- \
		-DCMAKE_BUILD_TYPE:STRING=RelWithDebInfo \
		-DUSE_OPENSSL:BOOL=OFF \
		-DTHREADSAFE:BOOL=ON \
		-DBUILD_CLAR:BOOL=ON \
		-DLIB_INSTALL_DIR:STRING=lib/$(DEB_HOST_MULTIARCH)

	dh_auto_configure --builddirectory=build-debian-devel -- \
		-DCMAKE_BUILD_TYPE:STRING=Release \
		-DTHREADSAFE:BOOL=ON \
		-DUSE_OPENSSL:BOOL=OFF \
		-DBUILD_CLAR:BOOL=OFF \
		-DBUILD_SHARED_LIBS:BOOL=OFF \
		-DLIB_INSTALL_DIR:STRING=lib/$(DEB_HOST_MULTIARCH)


override_dh_makeshlibs:
	dh_makeshlibs -V

override_dh_auto_build:
	dh_auto_build --builddirectory=build-debian-release
	dh_auto_build --builddirectory=build-debian-devel

override_dh_auto_install:
	dh_auto_install --builddirectory=build-debian-release
	dh_auto_install --builddirectory=build-debian-devel

override_dh_auto_test:
	mkdir -p build-debian-release/tmp
	dh_auto_test --builddirectory=build-debian-release
	mkdir -p build-debian-devel/tmp
	dh_auto_test --builddirectory=build-debian-devel

override_dh_strip:
	dh_strip --dbgsym-migration='libgit2-dbg (<< 0.24.0-2~)'

override_dh_installexamples:
	dh_installexamples --exclude .gitignore

%:
	dh $@ --parallel --buildsystem cmake --dbgsym-migration='libgit2-dbg (<< 0.24.0-2~)' --builddirectory=build-debian-release
	dh $@ --parallel --buildsystem cmake --builddirectory=build-debian-devel

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/libgit2-$1\.tar\.gz/ \
  https://github.com/libgit2/libgit2/releases .*/v?([\d.]*)\.tar\.gz

## libgit2 0.24.2

=== debian/changelog ===
libgit2 (0.24.2-2~bpo8+1) UNRELEASED; urgency=medium

  * jessie-backports Rebuilt for jessie.

 -- Russell Sim <russell.sim@gmail.com>  Thu, 17 Nov 2016 15:49:28 +0000

libgit2 (0.24.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Russell Sim <russell.sim@gmail.com>  Fri, 04 Nov 2016 18:36:41 +1100

libgit2 (0.24.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8
  * Add commit-always-initialize-commit-message.patch fixes CVE-2016-8568,
    CVE-2016-8569
  * debian/rules: Set debian hardening compile flags.
  * debian/rules: When testing package force timezone to GMT.

 -- Russell Sim <russell.sim@gmail.com>  Sun, 23 Oct 2016 14:30:45 +1100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: libgit2
 Section: libs
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Russell Sim <russell.sim@gmail.com>
+Maintainer: Russell Sim <russell.sim@gmail.com>
 Build-Depends: debhelper (>= 9.20160114),
                python-minimal (>= 2.4.0), pkg-config,
                cmake, libz-dev, libcurl4-gnutls-dev,
                libssh2-1-dev, libhttp-parser-dev
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://libgit2.github.com/
 Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/libgit2.git/
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libgit2.git/

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,9 @@
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 TEST_TMPDIR := $(CURDIR)/tmp-test
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 override_dh_auto_configure:
 	dh_auto_configure --builddirectory=build-debian-release -- \
@@ -41,9 +44,11 @@
 
 override_dh_auto_test:
 	mkdir -p build-debian-release/tmp
-	dh_auto_test --builddirectory=build-debian-release
+	# Force the timezone to GMT to work around bug with GMT-14 timezone
+	# https://github.com/libgit2/libgit2/issues/3970
+	TZ=/usr/share/zoneinfo/Etc/GMT dh_auto_test --builddirectory=build-debian-release
 	mkdir -p build-debian-devel/tmp
-	dh_auto_test --builddirectory=build-debian-devel
+	TZ=/usr/share/zoneinfo/Etc/GMT dh_auto_test --builddirectory=build-debian-devel
 
 override_dh_strip:
 	dh_strip --dbgsym-migration='libgit2-dbg (<< 0.24.0-2~)'

## libgit2 0.24.5

=== debian/changelog ===
libgit2 (0.24.5-1mx150+1) mx; urgency=medium

  * Rebuild for MX 15/16.

 -- Mike Elstad (v3g4n) <v3g4n@mxlinux.org>  Tue, 10 Jan 2017 18:47:46 -0600

libgit2 (0.24.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/patch/fix_gmt14_timzone_bug.patch (Closes: #841532)
  * Correcty address CVE-2016-8568

 -- Russell Sim <russell.sim@gmail.com>  Mon, 02 Jan 2017 20:35:08 +1100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,9 @@
 Source: libgit2
 Section: libs
 Priority: extra
-Maintainer: Russell Sim <russell.sim@gmail.com>
+Maintainer: Mike Elstad (v3g4n) <v3g4n@mxlinux.org>
+XSBC-Original-Maintainer: Russell Sim <russell.sim@gmail.com>
+Bugs: mailto: <v3g4n@mxlinux.org>
 Build-Depends: debhelper (>= 9.20160114),
                python-minimal (>= 2.4.0), pkg-config,
                cmake, libz-dev, libcurl4-gnutls-dev,

## libgit2 0.25.1+really0.24.6

=== debian/changelog ===
libgit2 (0.25.1+really0.24.6-1+deb9u2) stretch-security; urgency=medium

  * Non-maintainer upload by the LTS Security Team.
  * Backuport upstream fix for CVE-2023-22742 (Closes: #1029368)
  * Add d/NEWS as the fix for the CVE might -- due to being stricter
    on certificates -- break setups and additionally stretch's libssh
    does not support all HostKeyAlgorithms.
  * Make testsuite non-failing (no regression, it failed before
    already)

 -- Tobias Frost <tobi@debian.org>  Tue, 21 Feb 2023 18:22:52 +0100

libgit2 (0.25.1+really0.24.6-1+deb9u1) stretch-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Add patch to fix potential OOB-read when processing
    ng packet. (Fixes: CVE-2018-15501)
  * Add patch to fix out-of-bounds read of delta.
    (Fixes: CVE-2018-10888)
  * Add patch to fix sign-extension of big left-shift.
    (Fixes: CVE-2018-10887)
  * Add patch to convert read_entry to return entry size
    via an out-param. (Fixes: CVE-2018-8099)
  * Add patch to disallow NTFS Alternate Data Stream attacks,
    even on Linux/macOS. (Fixes: CVE-2020-12278)
  * Add patch to protect against 8.3 "short name" attacks
    also on Linux/macOS. (Fixes: CVE-2020-12279)

 -- Utkarsh Gupta <utkarsh@debian.org>  Mon, 07 Mar 2022 04:46:14 +0530

libgit2 (0.25.1+really0.24.6-1) unstable; urgency=medium

  * Revert 0.25.1 in unstable, 0.24.5 was already in unstable 0.25.1 was
    uploaded after the freeze.
  * Release 0.24.6 (CVE-2016-10128, CVE-2016-10129, CVE-2016-10130)
    (Closes: #851406)

 -- Russell Sim <russell.sim@gmail.com>  Sun, 21 May 2017 18:18:47 +0200

libgit2 (0.25.1-2) unstable; urgency=medium

  * Upload to unstable

 -- Russell Sim <russell.sim@gmail.com>  Sat, 20 May 2017 19:27:39 +0200

libgit2 (0.25.1-1) experimental; urgency=medium

  * New upstream release. (CVE-2016-10128, CVE-2016-10129, CVE-2016-10130)
    (Closes: #851406, #857068)

 -- Russell Sim <russell.sim@gmail.com>  Tue, 25 Apr 2017 07:29:37 +0200

=== debian/rules ===
--- 
+++ 
@@ -44,11 +44,9 @@
 
 override_dh_auto_test:
 	mkdir -p build-debian-release/tmp
-	# Force the timezone to GMT to work around bug with GMT-14 timezone
-	# https://github.com/libgit2/libgit2/issues/3970
-	TZ=/usr/share/zoneinfo/Etc/GMT dh_auto_test --builddirectory=build-debian-release
+	-dh_auto_test --builddirectory=build-debian-release
 	mkdir -p build-debian-devel/tmp
-	TZ=/usr/share/zoneinfo/Etc/GMT dh_auto_test --builddirectory=build-debian-devel
+	-dh_auto_test --builddirectory=build-debian-devel
 
 override_dh_strip:
 	dh_strip --dbgsym-migration='libgit2-dbg (<< 0.24.0-2~)'

## libgit2 0.26.0+dfsg.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,6 +20,7 @@
 
 INCLUDE(CheckLibraryExists)
 INCLUDE(CheckFunctionExists)
+INCLUDE(CheckSymbolExists)
 INCLUDE(CheckStructHasMember)
 INCLUDE(AddCFlagIfSupported)
 INCLUDE(FindPkgConfig)
@@ -36,11 +37,12 @@
 OPTION( ENABLE_TRACE		"Enables tracing support"				OFF )
 OPTION( LIBGIT2_FILENAME	"Name of the produced binary"			OFF )
 
+OPTION( USE_SHA1DC			"Use SHA-1 with collision detection"	OFF )
 OPTION( USE_ICONV			"Link with and use iconv library" 		OFF )
 OPTION( USE_SSH				"Link with libssh to enable SSH support" ON )
 OPTION( USE_GSSAPI			"Link with libgssapi for SPNEGO auth"   OFF )
 OPTION( VALGRIND			"Configure build for valgrind"			OFF )
-OPTION( CURL			"User curl for HTTP if available" ON)
+OPTION( CURL			"Use curl for HTTP if available" ON)
 OPTION( DEBUG_POOL			"Enable debug pool allocator"			OFF )
 
 IF(DEBUG_POOL)
@@ -109,7 +111,7 @@
 ENDIF()
 
 IF (HAVE_STRUCT_STAT_NSEC OR WIN32)
-	OPTION( USE_NSEC		"Care about sub-second file mtimes and ctimes"	OFF )
+	OPTION( USE_NSEC		"Care about sub-second file mtimes and ctimes"	ON  )
 ENDIF()
 
 # This variable will contain the libraries we need to put into
@@ -151,6 +153,10 @@
 		TARGET_LINK_LIBRARIES(${target} socket nsl)
 		LIST(APPEND LIBGIT2_PC_LIBS "-lsocket" "-lnsl")
 		SET(LIBGIT2_PC_LIBS ${LIBGIT2_PC_LIBS} PARENT_SCOPE)
+	ELSEIF(CMAKE_SYSTEM_NAME MATCHES "Haiku")
+		TARGET_LINK_LIBRARIES(${target} network)
+		LIST(APPEND LIBGIT2_PC_LIBS "-lnetwork")
+		SET(LIBGIT2_PC_LIBS ${LIBGIT2_PC_LIBS} PARENT_SCOPE)
 	ENDIF()
 	CHECK_LIBRARY_EXISTS(rt clock_gettime "time.h" NEED_LIBRT)
 	IF(NEED_LIBRT)
@@ -161,6 +167,8 @@
 
 	IF(THREADSAFE)
 		TARGET_LINK_LIBRARIES(${target} ${CMAKE_THREAD_LIBS_INIT})
+		LIST(APPEND LIBGIT2_PC_LIBS ${CMAKE_THREAD_LIBS_INIT})
+		SET(LIBGIT2_PC_LIBS ${LIBGIT2_PC_LIBS} PARENT_SCOPE)
 	ENDIF()
 ENDFUNCTION()
 
@@ -230,8 +238,7 @@
 
 IF (WIN32 AND WINHTTP)
 	ADD_DEFINITIONS(-DGIT_WINHTTP)
-	INCLUDE_DIRECTORIES(deps/http-parser)
-	FILE(GLOB SRC_HTTP deps/http-parser/*.c deps/http-parser/*.h)
+	ADD_DEFINITIONS(-DGIT_HTTPS)
 
 	# Since MinGW does not come with headers or an import library for winhttp,
 	# we have to include a private header and generate our own import library
@@ -280,30 +287,26 @@
 	IF (CURL_FOUND)
 		ADD_DEFINITIONS(-DGIT_CURL)
 		INCLUDE_DIRECTORIES(${CURL_INCLUDE_DIRS})
+		LINK_DIRECTORIES(${CURL_LIBRARY_DIRS})
 		LINK_LIBRARIES(${CURL_LIBRARIES})
 		LIST(APPEND LIBGIT2_PC_LIBS ${CURL_LDFLAGS})
 	ENDIF()
-
-	FIND_PACKAGE(HTTP_Parser)
-	IF (HTTP_PARSER_FOUND AND HTTP_PARSER_VERSION_MAJOR EQUAL 2)
-		INCLUDE_DIRECTORIES(${HTTP_PARSER_INCLUDE_DIRS})
-		LINK_LIBRARIES(${HTTP_PARSER_LIBRARIES})
-		LIST(APPEND LIBGIT2_PC_LIBS "-lhttp_parser")
-	ELSE()
-		MESSAGE(STATUS "http-parser was not found or is too old; using bundled 3rd-party sources.")
-		INCLUDE_DIRECTORIES(deps/http-parser)
-		FILE(GLOB SRC_HTTP deps/http-parser/*.c deps/http-parser/*.h)
-	ENDIF()
 ENDIF()
 
 # Specify sha1 implementation
-IF (WIN32 AND NOT MINGW AND NOT SHA1_TYPE STREQUAL "builtin")
-	ADD_DEFINITIONS(-DWIN32_SHA1)
+IF (USE_SHA1DC)
+	ADD_DEFINITIONS(-DGIT_SHA1_COLLISIONDETECT)
+	ADD_DEFINITIONS(-DSHA1DC_NO_STANDARD_INCLUDES=1)
+	ADD_DEFINITIONS(-DSHA1DC_CUSTOM_INCLUDE_SHA1_C=\"common.h\")
+	ADD_DEFINITIONS(-DSHA1DC_CUSTOM_INCLUDE_UBC_CHECK_C=\"common.h\")
+	FILE(GLOB SRC_SHA1 src/hash/hash_collisiondetect.c src/hash/sha1dc/*)
+ELSEIF (WIN32 AND NOT MINGW)
+	ADD_DEFINITIONS(-DGIT_SHA1_WIN32)
 	FILE(GLOB SRC_SHA1 src/hash/hash_win32.c)
 ELSEIF (${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
-	ADD_DEFINITIONS(-DGIT_COMMON_CRYPTO)
-ELSEIF (OPENSSL_FOUND AND NOT SHA1_TYPE STREQUAL "builtin")
-	ADD_DEFINITIONS(-DOPENSSL_SHA1)
+	ADD_DEFINITIONS(-DGIT_SHA1_COMMON_CRYPTO)
+ELSEIF (OPENSSL_FOUND)
+	ADD_DEFINITIONS(-DGIT_SHA1_OPENSSL)
 	IF (CMAKE_SYSTEM_NAME MATCHES "FreeBSD")
 		LIST(APPEND LIBGIT2_PC_LIBS "-lssl")
 	ELSE()
@@ -324,20 +327,11 @@
 	SET(SRC_REGEX deps/regex/regex.c)
 ENDIF()
 
-# Optional external dependency: zlib
-FIND_PACKAGE(ZLIB)
-IF (ZLIB_FOUND)
-	INCLUDE_DIRECTORIES(${ZLIB_INCLUDE_DIRS})
-	LINK_LIBRARIES(${ZLIB_LIBRARIES})
-	IF(APPLE OR CMAKE_SYSTEM_NAME MATCHES "FreeBSD")
-		LIST(APPEND LIBGIT2_PC_LIBS "-lz")
-	ELSE()
-		SET(LIBGIT2_PC_REQUIRES "${LIBGIT2_PC_REQUIRES} zlib")
-	ENDIF()
+# Optional external dependency: http-parser
+FIND_PACKAGE(HTTP_Parser)
+IF (HTTP_PARSER_FOUND AND HTTP_PARSER_VERSION_MAJOR EQUAL 2)
+	INCLUDE_DIRECTORIES(${HTTP_PARSER_INCLUDE_DIRS})
+	LINK_LIBRARIES(${HTTP_PARSER_LIBRARIES})
+	LIST(APPEND LIBGIT2_PC_LIBS "-lhttp_parser")
 ELSE()
-	MESSAGE(STATUS "zlib was not found; using bundled 3rd-party sources." )
-	INCLUDE_DIRECTORIES(deps/zlib)
-	ADD_DEFINITIONS(-DNO_VIZ -DSTDC -DNO_GZIP)
-	FILE(GLOB SRC_ZLIB deps/zlib/*.c deps/zlib/*.h)
-ENDIF()
-
+	MESSAGE(STATUS "http-parser version 2 was not found; using bundled 3rd-party sources.")

=== debian/changelog ===
libgit2 (0.26.0+dfsg.1-1.1build1) bionic; urgency=medium

  * No-change rebuild for http-parser soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 14 Nov 2017 14:00:22 +0000

libgit2 (0.26.0+dfsg.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable.
  * Use git_curl_stream_new for HTTPS because we don't link against openssl.

 -- Ximin Luo <infinity0@debian.org>  Thu, 14 Sep 2017 11:52:10 +0200

libgit2 (0.26.0+dfsg.1-1) experimental; urgency=medium

  * New upstream release.
  * Enable GSS authentication support.
  * Remove unused deps (Closes: #861752)

 -- Russell Sim <russell.sim@gmail.com>  Sat, 29 Jul 2017 15:58:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,11 @@
 Source: libgit2
 Section: libs
 Priority: extra
-Maintainer: Mike Elstad (v3g4n) <v3g4n@mxlinux.org>
-XSBC-Original-Maintainer: Russell Sim <russell.sim@gmail.com>
-Bugs: mailto: <v3g4n@mxlinux.org>
+Maintainer: Russell Sim <russell.sim@gmail.com>
 Build-Depends: debhelper (>= 9.20160114),
                python-minimal (>= 2.4.0), pkg-config,
                cmake, libz-dev, libcurl4-gnutls-dev,
-               libssh2-1-dev, libhttp-parser-dev
+               libssh2-1-dev, libhttp-parser-dev, libkrb5-dev
 Standards-Version: 3.9.8
 Homepage: http://libgit2.github.com/
 Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/libgit2.git/
@@ -18,7 +16,7 @@
 Architecture: any
 Section: libdevel
 Multi-Arch: same
-Depends: libgit2-24 (= ${binary:Version}), libz-dev,
+Depends: libgit2-26 (= ${binary:Version}), libz-dev,
          libcurl4-gnutls-dev, libssh2-1-dev,
          libhttp-parser-dev, ${shlibs:Depends}, ${misc:Depends}
 Description: low-level Git library (development files)
@@ -28,7 +26,7 @@
  .
  This package contains the development files for libgit2.
 
-Package: libgit2-24
+Package: libgit2-26
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}

=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,8 @@
 	dh_auto_configure --builddirectory=build-debian-release -- \
 		-DCMAKE_BUILD_TYPE:STRING=RelWithDebInfo \
 		-DUSE_OPENSSL:BOOL=OFF \
+		-DUSE_CURL_SSL:BOOL=ON \
+		-DUSE_GSSAPI:BOOL=ON \
 		-DTHREADSAFE:BOOL=ON \
 		-DBUILD_CLAR:BOOL=ON \
 		-DLIB_INSTALL_DIR:STRING=lib/$(DEB_HOST_MULTIARCH)
@@ -26,6 +28,8 @@
 		-DCMAKE_BUILD_TYPE:STRING=Release \
 		-DTHREADSAFE:BOOL=ON \
 		-DUSE_OPENSSL:BOOL=OFF \
+		-DUSE_CURL_SSL:BOOL=ON \
+		-DUSE_GSSAPI:BOOL=ON \
 		-DBUILD_CLAR:BOOL=OFF \
 		-DBUILD_SHARED_LIBS:BOOL=OFF \
 		-DLIB_INSTALL_DIR:STRING=lib/$(DEB_HOST_MULTIARCH)
@@ -44,16 +48,16 @@
 
 override_dh_auto_test:
 	mkdir -p build-debian-release/tmp
-	-dh_auto_test --builddirectory=build-debian-release
+	dh_auto_test --builddirectory=build-debian-release
 	mkdir -p build-debian-devel/tmp
-	-dh_auto_test --builddirectory=build-debian-devel
+	dh_auto_test --builddirectory=build-debian-devel
 
 override_dh_strip:
-	dh_strip --dbgsym-migration='libgit2-dbg (<< 0.24.0-2~)'
+	dh_strip --dbgsym-migration='libgit2-dbg (<< 0.26.0+dfsg.1-1~)'
 
 override_dh_installexamples:
 	dh_installexamples --exclude .gitignore
 
 %:
-	dh $@ --parallel --buildsystem cmake --dbgsym-migration='libgit2-dbg (<< 0.24.0-2~)' --builddirectory=build-debian-release
+	dh $@ --parallel --buildsystem cmake --dbgsym-migration='libgit2-dbg (<< 0.26.0+dfsg.1-1~)' --builddirectory=build-debian-release
 	dh $@ --parallel --buildsystem cmake --builddirectory=build-debian-devel

=== debian/watch ===
version=3
opts=compression=xz,repack,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/libgit2-$1\.tar\.gz/,dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg1 \
  https://github.com/libgit2/libgit2/releases .*/v?([\d.]*)\.tar\.gz

## libgit2 0.26.0+dfsg.1-1.1ubuntu0.2+8.0trisquel1

=== CMakeLists.txt ===
--- 
+++ 
@@ -285,6 +285,9 @@
 	ENDIF ()
 
 	IF (CURL_FOUND)
+		IF (USE_CURL_SSL)
+			ADD_DEFINITIONS(-DGIT_CURL_SSL)
+		ENDIF()
 		ADD_DEFINITIONS(-DGIT_CURL)
 		INCLUDE_DIRECTORIES(${CURL_INCLUDE_DIRS})
 		LINK_DIRECTORIES(${CURL_LIBRARY_DIRS})
@@ -334,4 +337,3 @@
 	LINK_LIBRARIES(${HTTP_PARSER_LIBRARIES})
 	LIST(APPEND LIBGIT2_PC_LIBS "-lhttp_parser")
 ELSE()
-	MESSAGE(STATUS "http-parser version 2 was not found; using bundled 3rd-party sources.")

=== debian/changelog ===
libgit2 (0.26.0+dfsg.1-1.1ubuntu0.2+8.0trisquel1) flidas; urgency=medium

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 31 Dec 2018 23:23:11 +0000

libgit2 (0.26.0+dfsg.1-1.1ubuntu0.2) bionic-security; urgency=medium

  * SECURITY UPDATE: Out of bounds read
    - debian/patches/CVE-2018-10887-1.patch: delta: Fix sign-extension of big
      left-shift
    - debian/patches/CVE-2018-10887-2.patch: delta: fix overflow when
      computing limit
    - CVE-2018-10887, CVE-2018-10888

 -- Mike Salvatore <mike.salvatore@canonical.com>  Wed, 05 Sep 2018 10:59:40 -0400

## libgit2 0.27.4%2Bdfsg.1

=== debian/control ===
Source: libgit2
Section: libs
Priority: optional
Maintainer: Russell Sim <russell.sim@gmail.com>
Build-Depends: debhelper (>= 11~),
               python-minimal (>= 2.4.0), pkg-config,
               cmake, libz-dev, libmbedtls-dev,
               libssh2-1-dev, libhttp-parser-dev, libkrb5-dev
Standards-Version: 4.1.4
Homepage: https://libgit2.github.com/
Vcs-Git: https://salsa.debian.org/debian/libgit2.git
Vcs-Browser: https://salsa.debian.org/debian/libgit2


Package: libgit2-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libgit2-27 (= ${binary:Version}), libz-dev,
         libmbedtls-dev, libssh2-1-dev,
         libhttp-parser-dev, ${shlibs:Depends}, ${misc:Depends}
Description: low-level Git library (development files)
 libgit2 is a portable, pure C implementation of the Git
 distributed version control system core methods provided as a
 re-entrant link-able library with a solid API.
 .
 This package contains the development files for libgit2.

Package: libgit2-27
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: low-level Git library
 libgit2 is a portable, pure C implementation of the Git
 distributed version control system core methods provided as a
 re-entrant link-able library with a solid API.

## libgit2 0.27.4+dfsg.1

=== debian/changelog ===
libgit2 (0.27.4+dfsg.1-0.1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 21 Aug 2019 18:11:51 -0700

libgit2 (0.27.4+dfsg.1-0.1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Pirate Praveen <praveen@debian.org>  Mon, 04 Jun 2018 20:42:33 +0530

libgit2 (0.27.4+dfsg.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Totally For Reals fix the segfaults. (Closes: #904004)

 -- Ximin Luo <infinity0@debian.org>  Fri, 10 Aug 2018 21:29:21 -0700

libgit2 (0.27.0+dfsg.1-0.9) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix random segfaults in threads::diff. (Closes: #904004)
  * Don't specifically use gcc-8 now that it's already the Debian default.

 -- Ximin Luo <infinity0@debian.org>  Sun, 05 Aug 2018 06:14:33 -0700

libgit2 (0.27.0+dfsg.1-0.8) unstable; urgency=medium

  * Non-maintainer upload
  * Force build with gcc-8 to fix segfaults in armhf build (Closes: #904004)

 -- Pirate Praveen <praveen@debian.org>  Wed, 18 Jul 2018 16:03:06 +0530
>>>>>>> master

libgit2 (0.27.0+dfsg.1-0.7) unstable; urgency=medium

  * Non-maintainer upload
  * Enable basic autopkgtest

 -- Pirate Praveen <praveen@debian.org>  Fri, 13 Jul 2018 08:19:44 +0530

libgit2 (0.27.0+dfsg.1-0.6) unstable; urgency=medium

  * Non-maintainer upload
  * Reupload to unstable

 -- Pirate Praveen <praveen@debian.org>  Wed, 11 Jul 2018 18:45:42 +0530

libgit2 (0.27.0+dfsg.1-0.5) experimental; urgency=medium

  * Non-maintainer upload
  * Switch vcs to salsa
  * Bump standards version to 4.1.4
  * Bump debhelper compatibility level to 11

 -- Pirate Praveen <praveen@debian.org>  Mon, 04 Jun 2018 18:41:38 +0530

libgit2 (0.27.0+dfsg.1-0.4) experimental; urgency=medium

  * Non-maintainer upload.
  * Fix stack smashing error on 32-bit targets (Closes: #900126)

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sat, 26 May 2018 16:27:33 +0200

libgit2 (0.27.0+dfsg.1-0.3) experimental; urgency=medium

  * Non-maintainer upload.
  * Don't add mbedtls in pkgconfig file (upstream patch)
  * Fix test failure due to alignment-related crashes (Closes: #900059)

 -- Pirate Praveen <praveen@debian.org>  Sat, 26 May 2018 17:31:32 +0530

libgit2 (0.27.0+dfsg.1-0.2) experimental; urgency=medium

  * Non-maintainer upload.
  * Disable tests requiring internet access
  * Explicitly specify mbedTLS for https (Closes: #899253)

 -- Pirate Praveen <praveen@debian.org>  Thu, 24 May 2018 21:53:14 +0530

libgit2 (0.27.0+dfsg.1-0.1) experimental; urgency=medium

  * Non-maintainer upload.
  * New upstream version 0.27.0 (Closes: #869665)
  * Switch to mbedTLS with upstream patch
    (Thanks to Nicolas Braud-Santoni for his efforts to update curl support
    patch)
  * Library transition libgit2-26 to libgit2-27

 -- Pirate Praveen <praveen@debian.org>  Sun, 06 May 2018 17:57:24 +0530

libgit2 (0.26.0+dfsg.1-1.2) unstable; urgency=medium

  * Non-maintainer upload.

  * Declare compliance with standards version 4.1.3.
    * debian/control: Replace `Priority: extra` with `optional`
    * debian/copyright
      + Refer to the CC0 license file.
        Closes: #882632
      + Use HTTPS URIs

  * debian/watch: Fix generated version numbers

  * Make the package lintian-clean
    * debian/control
      + Use canonical Vcs-* URLs
      + Use an HTTPS URL for the homepage
    * Switch to debhelper 11
    * Lintian overrides
      * Remove empty override files
      * Relocate source file to debian/source/
      * Rename tag debian-watch-may-check-gpg-signature

 -- Nicolas Braud-Santoni <nicolas@braud-santoni.eu>  Wed, 14 Feb 2018 16:34:02 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libgit2
 Section: libs
 Priority: optional
-Maintainer: Russell Sim <russell.sim@gmail.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Russell Sim <russell.sim@gmail.com>
 Build-Depends: debhelper (>= 11~),
                python-minimal (>= 2.4.0), pkg-config,
                cmake, libz-dev, libmbedtls-dev,

=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,7 @@
 	dh_auto_configure --builddirectory=build-debian-devel -- \
 		-DCMAKE_BUILD_TYPE:STRING=Release \
 		-DTHREADSAFE:BOOL=ON \
-		-DUSE_OPENSSL:BOOL=OFF \
+		-DUSE_HTTPS=mbedTLS \
 		-DUSE_CURL_SSL:BOOL=ON \
 		-DUSE_GSSAPI:BOOL=ON \
 		-DBUILD_CLAR:BOOL=OFF \
@@ -59,5 +59,5 @@
 	dh_installexamples --exclude .gitignore
 
 %:
-	dh $@ --parallel --buildsystem cmake --dbgsym-migration='libgit2-dbg (<< 0.26.0+dfsg.1-1~)' --builddirectory=build-debian-release
-	dh $@ --parallel --buildsystem cmake --builddirectory=build-debian-devel
+	dh $@ --buildsystem cmake --dbgsym-migration='libgit2-dbg (<< 0.26.0+dfsg.1-1~)' --builddirectory=build-debian-release
+	dh $@ --buildsystem cmake --builddirectory=build-debian-devel
